Index: inc/core/class.dc.store.php
===================================================================
--- inc/core/class.dc.store.php	(revision 3731)
+++ inc/core/class.dc.store.php	(revision 3874)
@@ -24,5 +24,5 @@
 
     /** @var    array    Modules fields to search on and their weighting */
-    public static $weighting = array('id' => 10, 'name' => 8, 'author' => 6, 'tags' => 4, 'desc' => 2);
+    public static $weighting = ['id' => 10, 'name' => 8, 'author' => 6, 'tags' => 4, 'desc' => 2];
 
     /** @var    string    User agent used to query repository */
@@ -38,6 +38,7 @@
      * @param    object    $modules        dcModules instance
      * @param    string    $xml_url        XML feed URL
-     */
-    public function __construct(dcModules $modules, $xml_url)
+     * @param    boolean   $force          Force query repository
+     */
+    public function __construct(dcModules $modules, $xml_url, $force = false)
     {
         $this->core       = $modules->core;
@@ -46,5 +47,5 @@
         $this->user_agent = sprintf('Dotclear/%s)', DC_VERSION);
 
-        $this->check();
+        $this->check($force);
     }
 
@@ -66,5 +67,5 @@
         $raw_datas = $parser->getModules();
 
-        uasort($raw_datas, array('self', 'sort'));
+        uasort($raw_datas, ['self', 'sort']);
 
         $skipped = array_keys($this->modules->getDisabledModules());
@@ -75,5 +76,5 @@
         }
 
-        $updates = array();
+        $updates = [];
         $current = $this->modules->getModules();
         foreach ($current as $p_id => $p_infos) {
@@ -89,8 +90,8 @@
         }
 
-        $this->data = array(
+        $this->data = [
             'new'    => $raw_datas,
             'update' => $updates
-        );
+        ];
 
         return true;
@@ -124,5 +125,5 @@
     public function search($pattern)
     {
-        $result = array();
+        $result = [];
 
         # Split query into small clean words
@@ -244,5 +245,5 @@
     public static function patternize($str)
     {
-        $arr = array();
+        $arr = [];
 
         foreach (explode(' ', $str) as $_) {
Index: inc/core/class.dc.store.reader.php
===================================================================
--- inc/core/class.dc.store.reader.php	(revision 3731)
+++ inc/core/class.dc.store.reader.php	(revision 3874)
@@ -54,5 +54,5 @@
     public function parse($url)
     {
-        $this->validators = array();
+        $this->validators = [];
 
         if ($this->cache_dir) {
Index: inc/core/class.dc.themes.php
===================================================================
--- inc/core/class.dc.themes.php	(revision 3731)
+++ inc/core/class.dc.themes.php	(revision 3874)
@@ -38,10 +38,10 @@
     (currently available keys : parent, priority, standalone_config, type, tplset)
      */
-    public function registerModule($name, $desc, $author, $version, $properties = array())
+    public function registerModule($name, $desc, $author, $version, $properties = [])
     {
         # Fallback to legacy registerModule parameters
         if (!is_array($properties)) {
             $args       = func_get_args();
-            $properties = array();
+            $properties = [];
             if (isset($args[4])) {
                 $properties['parent'] = $args[4];
@@ -53,7 +53,7 @@
         # Themes specifics properties
         $properties = array_merge(
-            array('parent' => null, 'tplset' => DC_DEFAULT_TPLSET),
+            ['parent' => null, 'tplset' => DC_DEFAULT_TPLSET],
             $properties,
-            array('permissions' => 'admin') // force themes perms
+            ['permissions' => 'admin'] // force themes perms
         );
 
Index: inc/core/class.dc.trackback.php
===================================================================
--- inc/core/class.dc.trackback.php	(revision 3731)
+++ inc/core/class.dc.trackback.php	(revision 3874)
@@ -80,8 +80,8 @@
         # Maybe a webmention
         if (count($ping_parts) == 3) {
-            $payload = http_build_query(array(
+            $payload = http_build_query([
                 'source' => $post_url,
                 'target' => $ping_parts[1]
-            ));
+            ]);
 
             try {
@@ -97,5 +97,5 @@
             }
 
-            if (!in_array($status, array('200', '201', '202'))) {
+            if (!in_array($status, ['200', '201', '202'])) {
                 $ping_error = $http->getStatus();
                 $ping_msg   = __('Bad server response code');
@@ -104,5 +104,5 @@
         # No, let's walk by the trackback way
         elseif (count($ping_parts) < 2) {
-            $data = array(
+            $data = [
                 'title'     => $post_title,
                 'excerpt'   => $post_excerpt,
@@ -110,5 +110,5 @@
                 'blog_name' => trim(html::escapeHTML(html::clean($this->core->blog->name)))
                 //,'__debug' => false
-            );
+            ];
 
             # Ping
@@ -206,5 +206,5 @@
 
         if (!$err) {
-            $post = $this->core->blog->getPosts(array('post_id' => $post_id, 'post_type' => ''));
+            $post = $this->core->blog->getPosts(['post_id' => $post_id, 'post_type' => '']);
 
             if ($post->isEmpty()) {
@@ -430,9 +430,9 @@
     private function pingAlreadyDone($post_id, $from_url)
     {
-        $params = array(
+        $params = [
             'post_id'           => $post_id,
             'comment_site'      => $from_url,
             'comment_trackback' => 1
-        );
+        ];
 
         $rs = $this->core->blog->getComments($params, true);
@@ -570,8 +570,8 @@
 
         # Time to see if we've got a winner...
-        $params = array(
+        $params = [
             'post_type' => $p_type,
             'post_url'  => $post_url
-        );
+        ];
         $posts = $this->core->blog->getPosts($params);
 
@@ -605,5 +605,5 @@
 
         # Bad luck. Bye, bye...
-        if (!in_array($c_type[0], array('text/html', 'application/xhtml+xml'))) {
+        if (!in_array($c_type[0], ['text/html', 'application/xhtml+xml'])) {
             throw new Exception(__('Your source URL does not look like a supported content type. Sorry. Bye, bye!'), 0);
         }
@@ -638,5 +638,5 @@
     public function discover($text)
     {
-        $res = array();
+        $res = [];
 
         foreach ($this->getTextLinks($text) as $link) {
@@ -657,5 +657,5 @@
     private function getTextLinks($text)
     {
-        $res = array();
+        $res = [];
 
         # href attribute on "a" tags
@@ -743,5 +743,5 @@
         if ($wm_url) {
             $type = explode(';', $http->getHeader('content-type'));
-            if (!in_array($type[0], array('text/html', 'application/xhtml+xml'))) {
+            if (!in_array($type[0], ['text/html', 'application/xhtml+xml'])) {
                 $wm_url = false;
             }
Index: inc/core/class.dc.update.php
===================================================================
--- inc/core/class.dc.update.php	(revision 3795)
+++ inc/core/class.dc.update.php	(revision 3874)
@@ -21,5 +21,5 @@
     protected $cache_file;
 
-    protected $version_info = array(
+    protected $version_info = [
         'version'  => null,
         'href'     => null,
@@ -28,8 +28,8 @@
         'php'      => '5.6',
         'notify'   => true
-    );
+    ];
 
     protected $cache_ttl    = '-6 hours';
-    protected $forced_files = array();
+    protected $forced_files = [];
 
     /**
@@ -172,7 +172,7 @@
     }
 
-    public function setForcedFiles()
-    {
-        $this->forced_files = func_get_args();
+    public function setForcedFiles(...$args)
+    {
+        $this->forced_files = $args;
     }
 
@@ -314,5 +314,5 @@
         unset($opts, $cur_digests, $new_digests, $zip);
 
-        $not_readable = array();
+        $not_readable = [];
 
         if (!empty($this->forced_files)) {
@@ -376,6 +376,6 @@
         }
 
-        $zip_files    = array();
-        $not_writable = array();
+        $zip_files    = [];
+        $not_writable = [];
 
         foreach ($new_files as $file) {
@@ -424,8 +424,8 @@
         $new_md5 = $new_path = $new_digests;
 
-        array_walk($cur_md5, array($this, 'parseLine'), 1);
-        array_walk($cur_path, array($this, 'parseLine'), 2);
-        array_walk($new_md5, array($this, 'parseLine'), 1);
-        array_walk($new_path, array($this, 'parseLine'), 2);
+        array_walk($cur_md5, [$this, 'parseLine'], 1);
+        array_walk($cur_path, [$this, 'parseLine'], 2);
+        array_walk($new_md5, [$this, 'parseLine'], 1);
+        array_walk($new_path, [$this, 'parseLine'], 2);
 
         $cur = array_combine($cur_md5, $cur_path);
@@ -464,5 +464,5 @@
         $contents = file($digests_file, $opts);
 
-        $changes = array();
+        $changes = [];
 
         foreach ($contents as $digest) {
